
int c[10] = { 0, 3, 4, 5, 6, 8, 5, 3, 2, 3};
int x[10];

int fir9(int input_sample)
{
	int sum = 0, n;
	
	x[0] = input_sample;
	
	for(n = 9; n > 0; n--) {
		sum += (x[n] * c[n]);	/* multiply and add */
		x[n] = x[n-1];		/* transfer to the next stage */
	}
	
	return sum;
}

int main(int sample_num)
{
	sample_num *= 100000;
	for(; sample_num > 0; sample_num--)
		printf("%u: %d\n", sample_num, fir9(sample_num));
}
